Doesn't always display suspend / hibernate options (race between g-p-m and f-u-s-a?)

Bug #278810 reported by Chris Coulson on 2008-10-05
40
This bug affects 2 people
Affects Status Importance Assigned to Milestone
fast-user-switch-applet (Ubuntu)
Medium
Ted Gould
Intrepid
Medium
Ted Gould

Bug Description

Binary package hint: fast-user-switch-applet

Sometimes when I log in, I only see 'Restart' and 'Shutdown' options in the f-u-s-a. If I remove the applet from the panel and re-add it, then the 'suspend' and 'hibernate' options magically appear in the drop-down, in addition to the already existing 'restart' and 'shutdown'.

I suspect that there is a race between gnome-power-manager and the fast-user-switch-applet. gnome-panel (and f-u-s-a) starts in the 'Panel' phase of gnome-session, long before gnome-power-manager starts (in the 'Applications' phase).

chr1s@chris-desktop:~$ apt-cache policy fast-user-switch-applet
fast-user-switch-applet:
  Installed: 2.24.0-0ubuntu2
  Candidate: 2.24.0-0ubuntu2
  Version table:
 *** 2.24.0-0ubuntu2 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

***TEST CASE WITH OLD PACKAGE***
1) Kill fast-user-switch-applet and gnome-power-manager.
2) Add fast-user-switch-applet to panel.
3) Open fast-user-switch-applet menu and note missing power options.
4) Run gnome-power-manager.
5) Open fast-user-switch-applet menu and note that some power options are still missing (suspend/hibernate).
6) Kill fast-user-switch-applet and then re-add it to the panel.
7) Open fast-user-switch-applet menu and note that all power options are now available.

***TEST CASE WITH FIXED PACKAGE***
1) Kill fast-user-switch-applet and gnome-power-manager.
2) Add fast-user-switch-applet to panel.
3) Open fast-user-switch-applet menu and note missing power options.
4) Run gnome-power-manager.
5) Open fast-user-switch-applet menu and note that all power options are available.

Chris Coulson (chrisccoulson) wrote :

Adding X-GNOME-Autostart-Phase=WindowManager to /etc/xdg/autostart/gnome-power-manager so that g-p-m loads before gnome-panel seems to fix it, but I'm not sure that's a good idea.

description: updated
Nick Russell (thatnick) wrote :

I'm affected by this problem as well.

John Dong (jdong) wrote :

Same thing happens for me consistently on a up to date Intrepid.

Ted Gould (ted) wrote :

Here's a fix for this. It is building in my PPA currently, should be done shortly for those who would like to test.

http://launchpad.net/~ted-gould/+archive

Chris Coulson (chrisccoulson) wrote :

Thanks Ted, your package works as expected. As we are close to release, I have added a simple test case to the original bug description for the benefit of those experiencing this problem, and the sponsor.

description: updated
Changed in fast-user-switch-applet:
importance: Undecided → Medium
status: New → Triaged
Ted Gould (ted) wrote :

Changing to fix commited to show that the fix is already available, only needs to be released.

Changed in fast-user-switch-applet:
assignee: nobody → ted-gould
status: Triaged → Fix Committed
John Dong (jdong) wrote :

Fantastic work Ted, the package works here too :). Shall this be forwarded upstream too?

On Fri, 2008-10-17 at 04:20 +0000, John Dong wrote:
> Fantastic work Ted, the package works here too :). Shall this be
> forwarded upstream too?

For all practical purposes I am upstream. Upstream GNOME has deprecated
this project in favor of the user switch applet included in the new GDM.
We will hopefully port the new features over early in the Jaunty
process.

Steve Langasek (vorlon) wrote :

approved for intrepid, please upload.

John Dong (jdong) wrote :

Steve, none of us following the bug have main upload privs. I'd like to get this patch in before the RC spins -- do you think you can upload it for us?

Martin Pitt (pitti) wrote :

Taking for sponsoring.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fast-user-switch-applet - 2.24.0-0ubuntu4

---------------
fast-user-switch-applet (2.24.0-0ubuntu4) intrepid; urgency=low

  * 84_session_management.patch: Update to watch for, and respond to
    gnome-power-manager coming on and off the Session DBus. Fixes
    (LP: #278810)
  * 91_ltsp_new_features.patch: Update for changes to 84 above.

 -- Ted Gould <email address hidden> Thu, 16 Oct 2008 14:51:33 -0500

Changed in fast-user-switch-applet:
status: Fix Committed → Fix Released

hibernate/wakeup takes about as long as shutdown/reboot
on my sony vaio vgn-tz170n under

2.6.27-9-generic #1 SMP Thu Nov 20 21:57:00 UTC 2008 i686 GNU/Linux

Chris Coulson (chrisccoulson) wrote :

israel - this bug is about FUSA not showing suspend/hibernate options, and was fixed ages ago. if you're experiencing suspend/hibernate issues, you need to open another bug.

Thanks

Mr. Norel (sh1v4-0h) wrote :

I have a similar problem on karmic.
After updating there are only entries for Guest session, Lock screen, Log out..., Restart... and Shutdown... in the user switcher.

-Hibernate was available in the fusa after installation of karmic-alpha2 and worked ok.
-Hibernate works fine If I log out and klick on hibernate in the menu of gdm.
-My swap is a lvm2 logical volume on a luks partition.
-I already tried to add resume=/dev/mapper/ubuntu-swap to the kernel options. This was the thing to do with Archlinux but doesn't seem to work here.

Chris Coulson (chrisccoulson) wrote :

Thats a separate bug, likely related to g-p-m / dk-power.

Mr. Norel (sh1v4-0h) wrote :

For the sake of completeness: After todays update hibernate and suspend are back (for karmic)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers